@import "./../../common/mini-reset.css";
@import "./../../common/base.css";

body,
h1 {
  margin: 50px;
}

h2 {
  border: 1px solid currentColor;
  width: 300px;
  inline-size: 300px;
  height: 100px;
  block-size: 100px;
  text-align: center;
  align-content: center;
}
.flex-basic {
  background-color: yellow;
  inline-size: 1000px;
  block-size: 600px;
  margin-block: 20px;
  /* border: 1px solid currentColor; */
  box-shadow: 1px 1px 0 0 red, -1px -1px 0 0 blue;
  display: flex;
  /* display: inline-flex; */
  /* flex-wrap: wrap; */
  /* flex-direction: row;
  flex-wrap: nowrap; */
  flex-flow: row nowrap;
  justify-content: center;
  align-items: start;
  align-content: start;
  /* gap: 20px; */
}

.flex-item {
  background-color: pink;
  /* inline-size: 500px; */
  block-size: 200px;
  flex-basis: 0;
}

/* .flex-item:nth-child(odd) {
  order: 1;
}

.flex-item:nth-child(even) {
  order: 3;
} */

.flex-item1 {
  flex-shrink: 1;
  flex-grow: 1;
  background-color: red;
}

.flex-item2 {
  flex-shrink: 2;
  flex-grow: 1;
  background-color: orange;
}

.flex-item3 {
  flex-shrink: 3;
  flex-grow: 1;
  background-color: yellow;
}

.flex-item4 {
  flex-shrink: 4;
  flex-grow: 1;
  background-color: green;
}
